#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define oname tomahawk
%define rel 5

%define libname %mklibname %{oname} %{version}
%define devname %mklibname %{oname} -d

Summary:        A social media player
Name:           tomahawk-player
Version:        0.8.4
Release:        %mkrel %{rel}
License:        GPLv3
Group:          Sound/Players
URL:            http://tomahawk-player.org/
Source0:        http://download.tomahawk-player.org/%{oname}-%{version}.tar.bz2
Patch0:         tomahawk-0.8.0-system_qxt.patch
Patch50:        tomahawk-0.8.4-taglib_version.patch
BuildRequires:  qt4-devel >= 4:4.7.0
BuildRequires:  boost-devel >= 1.30
BuildRequires:  cmake >= 2.8.0
BuildRequires:  liblastfm-devel >= 1.0.0
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libattica) >= 0.4.0
BuildRequires:  pkgconfig(libclucene-core) >= 2.3
BuildRequires:  pkgconfig(libechonest) >= 2.2
BuildRequires:  pkgconfig(libjreen) >= 1.1.1
BuildRequires:  pkgconfig(liblucene++)
BuildRequires:  pkgconfig(libsparsehash)
BuildRequires:  pkgconfig(phonon)
BuildRequires:  pkgconfig(qca2)
BuildRequires:  pkgconfig(QJson) >= 0.8.1
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sqlite3) >= 3.6.22
BuildRequires:  pkgconfig(taglib) >= 1.6.2
BuildRequires:  telepathy-qt-devel
BuildRequires:  qtkeychain-devel
BuildRequires:  qtweetlib-devel >= 0.5
BuildRequires:  quazip-qt4-devel
BuildRequires:  qxt-devel >= 0.7
BuildRequires:  websocketpp-devel

Provides:       %{oname} = %{version}-%{release}
Requires:       qt4-database-plugin-sqlite

%description
Tomahawk is a social media player.

%files
%{_bindir}/%{oname}
%{_libdir}/libtomahawk_*.so
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/*/apps/%{oname}.*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Runtime libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
%{summary}.

%files -n %{libname}
%{_libdir}/libtomahawk.so.%{version}
%{_libdir}/libtomahawk-playdarapi.so.%{version}
%{_libdir}/libtomahawk-widgets.so.%{version}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{oname}-devel = %{version}-%{release}

%description -n %{devname}
%{summary}.

%files -n %{devname}
%{_includedir}/libtomahawk/
%{_libdir}/libtomahawk.so
%{_libdir}/libtomahawk-playdarapi.so
%{_libdir}/libtomahawk-widgets.so
%{_libdir}/cmake/Tomahawk/

#--------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1
rm -rf thirdparty/qxt

%build
%cmake \
       -DBUILD_RELEASE:BOOL=ON \
       -DBUILD_WITH_QT4:BOOL=ON \
       -DBUILD_HATCHET:BOOL=ON \
       -DWITH_CRASHREPORTER=OFF
%make_build

%install
%make_install -C build


%changelog
* Wed Feb 22 2017 daviddavid <daviddavid> 0.8.4-5.mga6
+ Revision: 1087416
- do not package devel library files in main pkg

* Tue May 10 2016 luigiwalser <luigiwalser> 0.8.4-4.mga6
+ Revision: 1012042
- rebuild for quazip

* Fri Jan 22 2016 daviddavid <daviddavid> 0.8.4-3.mga6
+ Revision: 926523
- rebuild for new gnutls 3.4.8

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.8.4-2.mga6
+ Revision: 918606
- fix system qxt patch and build against system libqxt

* Sat Jan 02 2016 luigiwalser <luigiwalser> 0.8.4-1.mga6
+ Revision: 918581
- 0.8.4
- add patch from fedora to fix build with system qxt
  (requires system qxt to be updated to current snapshot to be enabled)
- add patch from upstream via fedora to fix build with taglib 1.10
- add subpackages for tomahawk library
- fix source URL
- sync BuildRequires with fedora for updated tomahawk version
- add cmake defines to build release with debug info
- add cmake defines to build with Qt4
- add cmake defines so that build will also work on arm

* Fri Oct 30 2015 blino <blino> 0.5.5-11.mga6
+ Revision: 896551
- explicitely buildrequire phonon-devel (dep removed from qt4-devel)

* Sun Jan 04 2015 neoclust <neoclust> 0.5.5-10.mga5
+ Revision: 808394
- Add qt4-database-plugin-sqlite as require mga #13692

* Wed Oct 15 2014 umeabot <umeabot> 0.5.5-9.mga5
+ Revision: 746602
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.5-8.mga5
+ Revision: 689914
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.5-7.mga4
+ Revision: 531308
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 0.5.5-6.mga4
+ Revision: 462880
- rebuild for new libechonest

* Thu Jan 17 2013 pterjan <pterjan> 0.5.5-5.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Mon Jan 14 2013 umeabot <umeabot> 0.5.5-5.mga3
+ Revision: 384643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.5.5-4.mga3
+ Revision: 324386
- update RPM group

* Sat Aug 18 2012 neoclust <neoclust> 0.5.5-3.mga3
+ Revision: 281908
- Rebuild against new attica

* Fri Aug 17 2012 neoclust <neoclust> 0.5.5-2.mga3
+ Revision: 281821
- Rebuild against new attica

* Thu Aug 02 2012 fwang <fwang> 0.5.5-1.mga3
+ Revision: 277856
- disable crash reporter
- update file list
- bump qtweetlib req
- versioned requires
- br lastfm
- new version 0.5.5
- rebuild for new attica

* Tue Dec 27 2011 mikala <mikala> 0.3.3-2.mga2
+ Revision: 188024
- Rebuild for attica

* Tue Dec 20 2011 mikala <mikala> 0.3.3-1.mga2
+ Revision: 184643
- Add quazip-devel as BuildRequires
- Update tarball to 0.3.3
- Fix BuildRequires to pull QtWebKit (will be needed for qtwebkit2.2)

* Fri Nov 25 2011 mikala <mikala> 0.3.2-2.mga2
+ Revision: 171946
- Add qtweetlib-devel as BR

* Fri Nov 25 2011 mikala <mikala> 0.3.2-1.mga2
+ Revision: 171920
- Update tarball to 0.3.2
- Add pkconfig(attica) as BR, pkconfig(jreen) is not a build option now
- don't build the crash resolver for now

* Thu Sep 29 2011 mikala <mikala> 0.2.3-1.mga2
+ Revision: 150312
- Add description
- Fix summary
- Update tarball to 0.2.3
- Remove %%clean section & %%defattr
- Fix file list
- imported package tomahawk-player

  + dmorgan <dmorgan>
    - Fix file list and %%setup

